/*
**  $VER: import_dfa.rexx 1.00 (18.02.96)
**
**   1994 Jrg Krause
**
**  PROGRAMNAME:
**      import_dfa.rexx
**
**  FUNCTION:
**      import all addresses from DFA to Address-Book
**
**  $HISTORY:
**
**   18.02.96 : 1.00 : initial release
*/

options results

if ~SHOW('P', 'DFA') then
do
    say 'Couldn't find Port DFA'
    exit 10
end

if ~SHOW('P', 'ABOOK_SERVER') then
do
    say 'Couldn't find Port ABOOK_SERVER'
    exit 10
end

do
    address 'DFA'

    CHANGEGROUPS ALL

    FIRST STEM ADR.

    do while RC=0

        ADDR.TITLE    = ADR.ADDRESS.0
        ADDR.LAST     = ADR.ADDRESS.2
        ADDR.FIRST    = ADR.ADDRESS.1
        ADDR.BIRTH    = ADR.ADDRESS.9

        ADDR.ADDRESSES.COUNT     = 1
        ADDR.ADDRESSES.1.ADDRESS = "empty"
        ADDR.ADDRESSES.1.STREET  = ADR.ADDRESS.4
        ADDR.ADDRESSES.1.PC      = ADR.ADDRESS.5
        ADDR.ADDRESSES.1.TOWN    = ADR.ADDRESS.6
        ADDR.ADDRESSES.1.COUNTRY = ADR.ADDRESS.8
        ADDR.ADDRESSES.1.STATE   = ADR.ADDRESS.7
        ADDR.ADDRESSES.1.FAX     = ADR.ADDRESS.11

        ADDR.ADDRESSES.1.PHONE.COUNT = 1

        ADDR.ADDRESSES.1.PHONE.1.NUM = ADR.ADDRESS.10
        ADDR.ADDRESSES.1.PHONE.1.DES = ""

        ADDR.EMAIL.COUNT   = 3
        ADDR.EMAIL.1.ADR   = ADR.ADDRESS.12
        ADDR.EMAIL.1.DES   = ""
        ADDR.EMAIL.2.ADR   = ADR.ADDRESS.13
        ADDR.EMAIL.2.DES   = ""
        ADDR.EMAIL.3.ADR   = ADR.ADDRESS.14
        ADDR.EMAIL.3.DES   = ""

        ADDR.COMMENT.COUNT = 1
        ADDR.COMMENT.1     = ADR.ADDRESS.15

        /* Set the group membership */

        if ADR.ADDRESS.16=1 then
          ADDR.GROUP.1 = "TRUE"
        else
          ADDR.GROUP.1 = "FALSE"

        if ADR.ADDRESS.17=1 then
          ADDR.GROUP.2 = "TRUE"
        else
          ADDR.GROUP.2 = "FALSE"

        if ADR.ADDRESS.18=1 then
          ADDR.GROUP.3 = "TRUE"
        else
          ADDR.GROUP.3 = "FALSE"

        if ADR.ADDRESS.19=1 then
          ADDR.GROUP.4 = "TRUE"
        else
          ADDR.GROUP.4 = "FALSE"

        if ADR.ADDRESS.20=1 then
          ADDR.GROUP.5 = "TRUE"
        else
          ADDR.GROUP.5 = "FALSE"

        if ADR.ADDRESS.21=1 then
          ADDR.GROUP.6 = "TRUE"
        else
          ADDR.GROUP.6 = "FALSE"

        if ADR.ADDRESS.22=1 then
          ADDR.GROUP.7 = "TRUE"
        else
          ADDR.GROUP.7 = "FALSE"

        if ADR.ADDRESS.23=1 then
          ADDR.GROUP.8 = "TRUE"
        else
          ADDR.GROUP.8 = "FALSE"

        ADDRESS 'ABOOK_SERVER'

        'ADD STEM=ADDR.'

        ADDRESS 'DFA'

        NEXT STEM ADR.

    end

end

ADDRESS 'ABOOK_SERVER'

'SAVE'

exit
